Search Commitments
Search for commitment entities.
This endpoint executes a search query for Commitments based on the user specified search criteria. The search query is customizable, allowing for complex nested conditions and sorting. The returned list of Commitments can be paginated for easier management.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
Query Parameters
Query for data using special syntax:
- Query parameters should be delimited using $ (dollar sign).
- Allowed comparators are:
- (greater than) >
- (greater than or equal to) >=
- (equal to) :
- (less than) <
- (less than or equal to) <=
- (match phrase/prefix) ~
- Allowed parameters: startDate, endDate, contractId, accountId, productId, productIds, id, createdBy, dtCreated, lastModifiedBy, ids.
- Query example:
- searchQuery=startDate>2023-01-01$accountId:062085ab-a301-4f21-a081-411020864452.
- This query is translated into: find commitments where the startDate is older than 2023-01-01 AND the accountId is equal to 062085ab-a301-4f21-a081-411020864452.
Note: Using the ~ match phrase/prefix comparator. For best results, we recommend treating this as a "starts with" comparator for your search query.
fromDocument for multi page retrievals.
Number of Commitments to retrieve per page.
NOTE: If not defined, default is 10.
1 <= x <= 100Search Operator to be used while querying search.
AND, OR Name of the parameter on which sorting is performed. Use any field available on the Commitment entity to sort by, such as accountId, endDate, and so on.
Sorting order.
ASC, DESC